Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-1932

Overview

Vulnerability Score 4.4 4.4
CVE Id CVE-2014-1932
Last Modified 23 May 2014 12:07:15
Published 17 Apr 2014 10:55:11
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity MEDIUM
Authentication NONE

CVE-2014-1932

Summary

The (1) load_djpeg function in JpegImagePlugin.py, (2) Ghostscript function in EpsImagePlugin.py, (3) load function in IptcImagePlugin.py, and (4) _copy function in Image.py in Python Image Library (PIL) 1.1.7 and earlier and Pillow before 2.3.1 do not properly create temporary files, which allow local users to overwrite arbitrary files and obtain sensitive information via a symlink attack on the temporary file.

Vulnerable Systems

Application

  • Python Pillow 2.3.0

  • Pythonware Python Imaging Library 1.1.7


References

CONFIRM - https://github.com/python-imaging/Pillow/commit/4e9f367dfd3f04c8f5d23f7f759ec12782e10ee7

CONFIRM - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=737059

UBUNTU - USN-2168-1

MLIST - [oss-security] 20140210 Re: CVE requests: Pacemaker, Python Imaging Library, eyeD3, 9base, rc, Gamera, RPLY - insecure use of /tmp

SUSE - openSUSE-SU-2014:0591


Last Updated: 27 May 2016 10:56:46